[package]
name = "zvariant"
version = "2.0.1"
authors = ["Zeeshan Ali <zeeshanak@gnome.org>"]
edition = "2018"

description = "API for D-Bus wire format encoding & decoding"
repository = "https://gitlab.freedesktop.org/zeenix/zbus/"
documentation = "http://docs.rs/zvariant/"
keywords = ["D-Bus", "DBus", "IPC"]
license = "MIT"
categories = ["data-structures", "encoding", "parsing"]
readme = "../README.md"

[dependencies]
byteorder = "1.3.1"
serde = { version = "1.0", features = [ "derive" ] }
arrayvec = { version = "0.5.1", features = [ "serde" ], optional = true }
enumflags2 = { version = "0.6.4", features = [ "serde" ], optional = true }

[dev-dependencies]
zvariant_derive = { path = "../zvariant_derive", version = "2" }
serde_json = "1.0"
serde_repr = "0.1"
